work_queue_graph_workers(1)

NAME

work_queue_graph_workers - visualize Work Queue transaction logs

SYNOPSIS

work_queue_graph_workers [-h] [-g | -t | -w] [-o outfile] work-queue-log

DESCRIPTION

work_queue_graph_workers is a script to visualize the output of Work Queue transaction logs, as generated by work_queue_specify_log from the C and Perl Work Queue APIs, or by q.specify_log from the Python Work Queue API. It assumes the avalability of Python bokeh package.

work_queue_graph_workers supports three interactive visualization modes, all with timestamp as the independent variable, from which the timestamp of the first tasks transfer is subtracted, so that the horizontal axis starts at 0. The tasks are colored based on category.

OPTIONS

-h  Show help text.

-g  Generate visualization for the life time of all tasks, with file transfer times included. Tasks are sorted along the vertical axis based on the time at which file transfer starts.

-t  Generate visualization for lifetime of tasks per worker, file transfer time included, each worker corresponds to a subplot. Note that the slots assignment is merely for visualization and does not correspond to the actual cores.)

-w  Generate visualization for the lifetime of all workers, colored based on working or idling.

-o <outfile>
    Specify the output path for the generated HTML file. The default is <work-queue-log>.html.

COPYRIGHT

The Cooperative Computing Tools are Copyright (C) 2022 The University of Notre Dame. This software is distributed under the GNU General Public License. See the file COPYING for details.